<?php

namespace Teknisa\ACL\Repositories;

use Doctrine\DBAL\Connection;
use Teknisa\ACL\Util\InstanceProvider;

class PerfAcessGremprGrupoempr {
    /** @var Connection */
    protected $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    public function findGrupoEmpr($dsgrupempr)
    {
        $query = "SELECT *FROM GRUPOEMPR
                  WHERE DSGRUPEMPR = :DSGRUPEMPR
                  AND NRORG = :NRORG";

        $params = array (
            "DSGRUPEMPR" => $dsgrupempr,
            "NRORG"         => InstanceProvider::getEnvironment()->getCurrentOrganizationId(),
        );

        $std = InstanceProvider::getEntityManager()->getConnection()->prepare($query);
        $std->execute($params);
        return $std->fetchAll();
    } 
}